Get Installed Plugin Endpoint
curl --request GET \
--url https://api.example.com/api/plugins/installed/{plugin_name} \
--header 'X-Session-API-Key: <api-key>'import requests
url = "https://api.example.com/api/plugins/installed/{plugin_name}"
headers = {"X-Session-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/plugins/installed/{plugin_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"install_path": "<string>",
"installed_at": "<string>",
"name": "<string>",
"source": "<string>",
"description": "",
"enabled": true,
"files": [
"<string>"
],
"repo_path": "<string>",
"resolved_ref": "<string>",
"skills": [
{
"name": "<string>",
"description": "<string>"
}
],
"version": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Plugins
Get Installed Plugin Endpoint
Get information about a specific installed plugin.
GET
/
api
/
plugins
/
installed
/
{plugin_name}
Get Installed Plugin Endpoint
Authorizations
Path Parameters
Plugin name (lowercase alphanumeric, hyphens)
Required string length:
1 - 255Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Response
Successful Response
Response containing installed plugin information.
Path where the plugin is installed
ISO 8601 timestamp of installation
Plugin name
Original source (e.g., 'github:owner/repo')
Plugin description
Whether the plugin is enabled
Plugin files, relative to install_path (None if load failed)
Subdirectory path within the repository
Resolved git commit SHA
Skills bundled in the plugin (None if it failed to load)
Show child attributes
Show child attributes
Plugin version
Was this page helpful?

